Subject: RE: How does "per-MN prefix model" simplify things? (was: RE:[netlmm]Re:PMIP follow-up questions)

From: "Mohamed Khalil" <[email-masked]>
Date: Wed, 1 Nov 2006 09:28:49 -0600

IMO the HA should be residing with the LMA at the serving/local network.
This HA/LMA will handle the local mobility using PMIP. While the HA at
home will handle the global mobility. I believe we should make a clear
border between 2 types of mobility.
-----Original Message-----
From: Templin, Fred L [mailto:[email-masked]] 
Sent: Tuesday, October 31, 2006 7:12 PM
To: Sri Gundavelli
Cc: [email-masked]; Soliman, Hesham; Basavaraj Patil
Subject: RE: How does "per-MN prefix model" simplify things? (was:
RE:[netlmm]Re:PMIP follow-up questions)

> Ok. What is the required DHCP server configuration for supporting /128

> bit lengths.

The server just delegates addresses (/128s) per normal DHCPv6.

> a.) Will there be that many prefixes or DHCP pools  (/128) as that 
> many nodes ? Is it possible to manage, by just creating one large DHCP

> pool ? If so, will the relay agent set the giaddr field to the MN's 
> address ? When I look at the potential size of the network, where this

> gets deployed, the number of mobiles will be in the order of 500,000. 
> So, I'm not sure what is the DHCP address pool configuration. A /128 
> pool configuration appears too much of provisioning.
> 
> b.) Does the relay agent set the giaddr field to the address of the MN

> itself.

As Alex pointed out, 'giaddr' is not found in RFC3315 but
the answers as to how the DHCPv6 relay operates are.

>> I'm a bit confused now when you say "home link"; others
>> have said that PMIP is about having the "home agent" co-resident with

>> the LMA in the localized mobility management domain and that it only 
>> deals in regional addresses not real home addresses in the MIP6 
>> sense. So, the "home link" would essentially be associated
>> with the LMA, right? Is that not what is intended?
>
> In PMIP, there is a home agent and a proxy agent. The mobile is 
> anchored at the home agent, exactly as specified in 3775. The function

> in mobile node for creating a binding is now in the access router and 
> that we call it as proxy mobile agent, as it is sending signalling 
> messages on behalf of the mobile. I'm trying to relate this to pure 
> MIPv6 as supposed to NETLMM terms.

Yes, I am OK with the functional elements of PMIP but I
am still not 100% certain as to where the PMIP "home agent" lives? Is it
in the MN's actual home network which could be far away, or is it
co-resident with the LMA in the MN's current localized mobility
management domain? Some have seemed to imply that it is the latter.

Thanks - Fred
[email-masked]

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm